> For the complete documentation index, see [llms.txt](https://docs.videc.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videc.de/acron-9.3/en/intro/konstanten.md).

# Constant values

Within an expression you can use constant values for the calculation. Compared to [variables](/acron-9.3/en/intro/variablen.md), provided by the application, constants do not change their value once they are entered.

The form in which you insert constants in an expression depends on the data [type](/acron-9.3/en/intro/datentypen.md) of the constant.

## Data type NUMBER

You insert constant numbers into an expression by specifying the number. The Formula Editor is able to interpret numbers as integers, as floating-point numbers, in scientific and hexadecimal notation. The decimal separator used is always the dot. The comma is not allowed and leads to an error message. Hexadecimal numbers are identified by a prefixed "0x" or "0X" as in the programming language "C". Examples of valid constant numbers are:

* 1.121
* 1.2e-004
* 0xAEAE

## Data type BOOL

You can use constants of type BOOL in different forms in an expression. The constants are always specified in three-character format: The first and last characters are always a dot (.). Between the points enter the abbreviation of the logical value. The following abbreviations for the logical value are available:

* T=TRUE, J=TRUE, Y=TRUE
* F=FALSE, N=FALSE

Whether you enter the abbreviation as upper or lower case letters is irrelevant. Valid examples for boolean constants are: .T., .t., .j., .F., ...

Alternatively, you can use the functions [True](/acron-9.3/en/intro/funktionen/funk_variablen.md#func_true) or [False](/acron-9.3/en/intro/funktionen/funk_variablen.md#func_false) to specify a Boolean constant value

## Data type STRING

Constant character strings are specified by entering them in quotation marks in the expression. To obtain the [variable](/acron-9.3/en/intro/variablen.md) with the identification "value-today", for example, you would pass the identification of the variable as a constant string to the [GetVar](/acron-9.3/en/intro/funktionen/funk_variablen.md#func_getvar) function. The expression would then be GetVar ("value-today").

## Data type DATETIME

Date/time values cannot be entered into an expression directly as constants. Date/time values are calculated using the [DateYMD](/acron-9.3/en/intro/funktionen/funk_datum.md#func_dateymd) or [TimeHMS](/acron-9.3/en/intro/funktionen/funk_zeit.md#func_timehms) functions. Another way to use a date/time value as a constant in an expression is to convert a constant number into a date/time value using the [NumToDate](/acron-9.3/en/intro/funktionen/funk_datum.md#func_numtodate) function.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videc.de/acron-9.3/en/intro/konstanten.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
